# Generatywne uczenie maszynowe
### Naucz komputery malowania, pisania, komponowania i grania

Oficjalne repozytorium kodu przykładów książki wydanej przez O'Reilly

https://learning.oreilly.com/library/view/generative-deep-learning/9781492041931/

https://www.amazon.com/Generative-Deep-Learning-Teaching-Machines/dp/1492041947/ref=sr_1_1

## Tensorflow

ta gałąź zawiera samodzielny backend Keras z Tensorflow 1.14. Zobacz gałąź `tensorflow_2`, aby pobrać wersję bazy kodu dla Keras z Tensorflow 2.0.

## Struktura

To repozytorium ma następującą strukturę:

Notatniki dla każdego rozdziału znajdują się w katalogu głównym repozytorium. Prefiksem jest numer rozdziału.

Folder `data` to lokalizacja, do której będą pobrane odpowiednie źródła danych (począwszy od rozdziału 3)
W folderze `run` jest zapisane wyjście z modeli generatywnych (począwszy od rozdziału 3)
W folderze `utils` są zapisane przydatne funkcje wykorzystywane w głównych notatnikach

## Zawartość książki
Część 1: Wprowadzenie do generatywnego uczenia głębokiego
* Rozdział 1: Modelowanie generatywne
* Rozdział 2: Uczenie głębokie
* Rozdział 3: Autoenkodery wariacyjne
* Rozdział 4: Generatywne sieci antagonistyczne (GAN)

Część 2: Uczenie komputerów malowania, pisania, komponowania i grania
* Rozdział 5: Malowanie
* Rozdział 6: Pisanie
* Rozdział 7: Komponowanie muzyki
* Rozdział 8: Granie
* Rozdział 9: Przyszłość modelowania generatywnego
* Rozdział 10: Wnioski


## Jak zacząć?

Na początek należy zainstalować wymagane biblioteki w środowisku wirtualnym

`pip install -r requirements.txt`
 



